## git-cola 4.3.2

=== Makefile ===
# The default target of this Makefile is...
.PHONY: all
all::

# Development
# -----------
# make V=1                      # V=1 increases verbosity
# make develop                  # pip install --editable .
# make test [flags=...]         # run tests; flags=-x fails fast, --ff failed first
# make test V=2                 # run tests; V=2 increases test verbosity
# make doc                      # build docs
# make pylint [color=1]         # run pylint; color=1 colorizes output
# make format                   # run the black python formatter
# make check [color=1]          # run test, doc and pylint
# make check file=<filename>    # run checks on <filename>
#
# Release Prep
# ------------
# make pot      # update main translation template
# make po       # merge translations
# make i18n     # make pot + make po
#
# Installation
# ------------
# make prefix=<path> install
# DESTDIR is also supported.
#
# The external commands used by this Makefile are...
BLACK = black
CP = cp
FIND = find
GREP = grep
GIT = git
MARKDOWN = markdown
MSGMERGE = msgmerge
MKDIR_P = mkdir -p
PIP = pip
PYTHON ?= python
PYTHON3 ?= python3
PYLINT = $(PYTHON) -B -m pylint
PYTEST = $(PYTHON) -B -m pytest
RM = rm -f
RM_R = rm -fr
RMDIR = rmdir
TAR = tar
TOX = tox
XARGS = xargs
XGETTEXT = xgettext

# Flags
# -----
ifdef V
    VERBOSE = --verbose
    ifeq ($(V),2)
        TEST_VERBOSE = --verbose
        VERBOSE_SHORT = -vv
    else
        VERBOSE_SHORT = -v
    endif
else
    QUIET = --quiet
endif

PYTEST_FLAGS = $(QUIET) $(TEST_VERBOSE)
uname_S := $(shell uname -s)
ifneq ($(uname_S),Linux)
    PYTEST_FLAGS += --ignore=cola/inotify.py
endif

TOX_FLAGS = $(VERBOSE_SHORT) --develop --skip-missing-interpreters
TOX_ENVS ?= py{36,37,38,39,310,311}

PYLINT_SCORE_FLAG := $(shell $(PYLINT) --score=no --help >/dev/null 2>&1 && echo " --score=no" || true)
PYLINT_FLAGS = --rcfile=.pylintrc
ifdef color
    PYLINT_FLAGS += --output-format=colorized
endif
ifneq ($(PYLINT_SCORE_FLAGSCORE),)
    PYLINT_FLAGS += $(PYLINT_SCORE_FLAG)
endif

# These values can be overridden on the command-line or via config.mak
prefix = $(HOME)
python_version := $(shell $(PYTHON) -c 'import sys; print("%s.%s" % sys.version_info[:2])')
python_lib = python$(python_version)/site-packages
pythondir = $(prefix)/lib/$(python_lib)
# DESTDIR =

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_app_resources = $(cola_app)/Contents/Resources

# Read $(VERSION) from cola/_version.py and strip quotes.
include cola/_version.py
cola_version := $(subst ',,$(VERSION))
cola_dist := $(cola_base)-$(cola_version)

install_args =
ifdef DESTDIR
	install_args += --root="$(DESTDIR)"
	export DESTDIR
endif
install_args += --prefix="$(prefix)"
install_args += --disable-pip-version-check
export prefix

PYTHON_DIRS = cola
PYTHON_DIRS += test

ALL_PYTHON_DIRS = $(PYTHON_DIRS)

# User customizations
-include config.mak

all::

.PHONY: install
install:: all
	$(PIP) $(QUIET) $(VERBOSE) install $(install_args) .

.PHONY: doc
doc::
	$(MAKE) -C docs all

.PHONY: html
html::
	$(MAKE) -C docs html

.PHONY: man
man::
	$(MAKE) -C docs man

.PHONY: install-doc
install-doc::
	$(MAKE) -C docs install

.PHONY: install-html
install-html::
	$(MAKE) -C docs install-html

.PHONY: install-man
install-man::
	$(MAKE) -C docs install-man

.PHONY: uninstall
uninstall::
	$(RM) "$(DESTDIR)$(prefix)"/bin/cola
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola-sequence-editor
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-dag
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola-folder-handler.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-dag.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/metainfo/git-dag.appdata.xml
	$(RM) "$(DESTDIR)$(prefix)"/share/metainfo/git-cola.appdata.xml
	$(RM) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps/git-cola.svg
	$(RM_R) "$(DESTDIR)$(prefix)"/share/doc/git-cola
	$(RM_R) "$(DESTDIR)$(pythondir)"/git_cola-*
	$(RM_R) "$(DESTDIR)$(pythondir)"/cola
	$(RMDIR) -p "$(DESTDIR)$(pythondir)" 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/applications 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/metainfo 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/doc 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/bin 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)" 2>/dev/null || true

.PHONY: test
test::
	$(PYTEST) $(PYTEST_FLAGS) $(flags) $(PYTHON_DIRS)

.PHONY: coverage
coverage::
	$(PYTEST) $(PYTEST_FLAGS) --cov=cola $(flags) $(PYTHON_DIRS)

.PHONY: clean
clean::
	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | $(XARGS) -0 $(RM)
	$(FIND) $(ALL_PYTHON_DIRS) -name __pycache__ -print0 | $(XARGS) -0 $(RM_R)
	$(RM_R) build dist tags git-cola.app
	$(MAKE) -C docs clean

# Update i18n files
.PHONY: i18n
i18n:: pot
i18n:: po

# Regenerate git-cola.pot with new translations
.PHONY: pot
pot::
	$(XGETTEXT) \
		--language=Python \
		--keyword=N_ \
		--no-wrap \
		--omit-header \
		--sort-output \
		--output-dir cola/i18n \
		--output git-cola.pot \
		cola/*.py \
		cola/*/*.py

# Update .po files with new translations from git-cola.pot
.PHONY: po
po::
	for po in cola/i18n/*.po; \
	do \
		$(MSGMERGE) \
			--no-wrap \
			--no-fuzzy-matching \
			--sort-output \
			--output-file $$po.new \
			$$po \
			cola/i18n/git-cola.pot \
			&& \
		mv $$po.new $$po; \
	\
	done

# Build a git-cola.app bundle.
.PHONY: git-cola.app
git-cola.app::
    cola_full_version := $(shell ./bin/git-cola version --brief)

git-cola.app::
	$(MKDIR_P) $(cola_app)/Contents/MacOS
	$(MKDIR_P) $(cola_app_resources)
	$(PYTHON3) -m venv $(cola_app_resources)
	$(cola_app_resources)/bin/pip install --requirement requirements/requirements.txt
	$(cola_app_resources)/bin/pip install --requirement requirements/requirements-optional.txt
	$(cola_app_resources)/bin/pip install --requirement requirements/requirements-dev.txt

	$(CP) contrib/darwin/Info.plist contrib/darwin/PkgInfo $(cola_app)/Contents
ifneq ($(cola_full_version),)
	sed -i -e s/0.0.0.0/$(cola_full_version)/ $(cola_app)/Contents/Info.plist
endif
	sed -i -e s/0.0.0/$(cola_version)/ $(cola_app)/Contents/Info.plist
	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
	$(MAKE) PIP=$(cola_app_resources)/bin/pip \
		prefix=$(cola_app_resources) install
	$(MAKE) SPHINXBUILD=$(cola_app_resources)/bin/sphinx-build \
		prefix=$(cola_app_resources) install-doc

.PHONY: app-tarball
app-tarball:: git-cola.app
	$(TAR) czf $(cola_dist).app.tar.gz $(cola_app_base)

# Preview the markdown using "make README.html"
%.html: %.md
	$(MARKDOWN) $< >$@

.PHONY: pylint
pylint::
	$(PYLINT) --version
	$(PYLINT) $(PYLINT_FLAGS) $(flags) \
	$(ALL_PYTHON_DIRS)

# Pre-commit checks
.PHONY: check
ifdef file
check::
	$(PYLINT) $(PYLINT_FLAGS) --output-format=colorized $(flags) $(file)
else
check:: all
check:: test
check:: doc
check:: pylint
endif

.PHONY: format
format::
	$(GIT) ls-files -- '*.py' | \
	$(GREP) -v ^qtpy | \
	$(XARGS) $(BLACK) --skip-string-normalization

# Run "make develop" from inside a newly created virtualenv to create an
# editable installation.
.PHONY: develop
develop::
	$(PIP) install --editable .

.PHONY: requirements
requirements::
	$(PIP) install --requirement requirements/requirements.txt

.PHONY: requirements-dev
requirements-dev::
	$(PIP) install --requirement requirements/requirements-dev.txt

.PHONY: requirements-optional
requirements-optional::
	$(PIP) install --requirement requirements/requirements-optional.txt

.PHONY: tox
tox::
	$(TOX) $(TOX_FLAGS) --parallel auto -e "${TOX_ENVS}" $(flags)

.PHONY: tox-check
tox-check::
	$(TOX) $(TOX_FLAGS) --parallel auto -e check $(flags)

=== debian/changelog ===
git-cola (4.3.2-1) unstable; urgency=medium

  * New upstream release (closes: #1029482, #1055203).
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Oct 2023 11:59:35 +0200

git-cola (3.12.0-3) unstable; urgency=medium

  * No longer need to change shebang lines (closes: #1054806).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 28 Oct 2023 09:37:36 +0200

=== debian/control ===
Source: git-cola
Section: vcs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python
Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
Standards-Version: 4.6.2
Homepage: https://git-cola.github.io/
#Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

Package: git-cola
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, git-core, libjs-jquery, libjs-underscore
Recommends: gitk, xxdiff, tclsh
Suggests: python3-pyinotify, python3-simplejson
Description: highly caffeinated git GUI
 Git-cola is a git GUI optimized for working with the git index.
 .
 Git-cola can compare arbitrary commits using standard merge tools.
 With it you can search commit messages, content, authors, paths,
 data ranges etc. and it makes it easy to interactively edit the
 index.

## git-cola 4.6.1

=== Makefile ===
# The default target of this Makefile is...
.PHONY: all
all::

# Usage
# -----
# make prefix=<path> install           # Install git-cola
#
# make doc                             # Build documentation
# make prefix=<path> install-doc       # Install documentation
#
# Variables
# ---------
# prefix - Installation prefix.
# DESTDIR - Temporary staging directory.
#
# The external commands used by this Makefile are...
CP = cp
FIND = find
MKDIR_P = mkdir -p
PIP = pip
PYTHON ?= python3
RM = rm -f
RM_R = rm -fr
RMDIR = rmdir
XARGS = xargs

# These values can be overridden on the command-line or via config.mak
# DESTDIR =
prefix = $(HOME)
python_version := $(shell $(PYTHON) -c 'import sys; print("%s.%s" % sys.version_info[:2])')
python_lib = python$(python_version)/site-packages
pythondir = $(prefix)/lib/$(python_lib)

cola_base := git-cola
cola_app_base= $(cola_base).app
cola_app = $(CURDIR)/$(cola_app_base)
cola_app_resources = $(cola_app)/Contents/Resources

# Read $(VERSION) from cola/_version.py and strip quotes.
include cola/_version.py
cola_version := $(subst ',,$(VERSION))

install_args =
ifdef DESTDIR
	install_args += --root="$(DESTDIR)"
	export DESTDIR
endif
install_args += --prefix="$(prefix)"
install_args += --disable-pip-version-check
install_args += --ignore-installed
install_args += --no-deps
export prefix

PYTHON_DIRS = cola
PYTHON_DIRS += test

ALL_PYTHON_DIRS = $(PYTHON_DIRS)

# User customizations
-include config.mak

all::

.PHONY: install
install:: all
	$(PIP) install $(install_args) .

.PHONY: doc
doc::
	$(MAKE) -C docs all

.PHONY: html
html::
	$(MAKE) -C docs html

.PHONY: man
man::
	$(MAKE) -C docs man

.PHONY: install-doc
install-doc::
	$(MAKE) -C docs install

.PHONY: install-html
install-html::
	$(MAKE) -C docs install-html

.PHONY: install-man
install-man::
	$(MAKE) -C docs install-man

.PHONY: uninstall
uninstall::
	$(RM) "$(DESTDIR)$(prefix)"/bin/cola
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-cola-sequence-editor
	$(RM) "$(DESTDIR)$(prefix)"/bin/git-dag
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-cola-folder-handler.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/applications/git-dag.desktop
	$(RM) "$(DESTDIR)$(prefix)"/share/metainfo/git-dag.appdata.xml
	$(RM) "$(DESTDIR)$(prefix)"/share/metainfo/git-cola.appdata.xml
	$(RM) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps/git-cola.svg
	$(RM_R) "$(DESTDIR)$(prefix)"/share/doc/git-cola
	$(RM_R) "$(DESTDIR)$(pythondir)"/git_cola-*
	$(RM_R) "$(DESTDIR)$(pythondir)"/cola
	$(RMDIR) -p "$(DESTDIR)$(pythondir)" 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/applications 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/metainfo 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/doc 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable/apps 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor/scalable 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons/hicolor 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share/icons 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/share 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)"/bin 2>/dev/null || true
	$(RMDIR) "$(DESTDIR)$(prefix)" 2>/dev/null || true

.PHONY: clean
clean::
	$(FIND) $(ALL_PYTHON_DIRS) -name '*.py[cod]' -print0 | $(XARGS) -0 $(RM)
	$(FIND) $(ALL_PYTHON_DIRS) -name __pycache__ -print0 | $(XARGS) -0 $(RM_R)
	$(RM_R) build dist git-cola.app
	$(MAKE) -C docs clean

# Build a git-cola.app bundle.
.PHONY: git-cola.app
git-cola.app::
    cola_full_version := $(shell ./bin/git-cola version --brief)

git-cola.app::
	$(MKDIR_P) $(cola_app)/Contents/MacOS
	$(MKDIR_P) $(cola_app_resources)
	$(PYTHON) -m venv $(cola_app_resources)
	$(cola_app_resources)/bin/pip install '.[docs,extras,pyqt6]'
	$(CP) contrib/darwin/Info.plist contrib/darwin/PkgInfo $(cola_app)/Contents
ifneq ($(cola_full_version),)
	sed -i -e s/0.0.0.0/$(cola_full_version)/ $(cola_app)/Contents/Info.plist
endif
	sed -i -e s/0.0.0/$(cola_version)/ $(cola_app)/Contents/Info.plist
	$(CP) contrib/darwin/git-cola $(cola_app)/Contents/MacOS
	$(CP) contrib/darwin/git-cola.icns $(cola_app)/Contents/Resources
	$(MAKE) PIP=$(cola_app_resources)/bin/pip \
		prefix=$(cola_app_resources) install
	$(MAKE) SPHINXBUILD=$(cola_app_resources)/bin/sphinx-build \
		prefix=$(cola_app_resources) install-doc

.PHONY: test
test::
	@if type garden >/dev/null 2>&1; then \
		garden test; \
	else \
		echo 'warning: "make test" requires "garden" https://gitlab.com/garden-rs/garden'; \
		echo 'tip: run "cargo install garden-tools" to install "garden".'; \
	fi

=== debian/changelog ===
git-cola (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove python3-distutils dependency (closes: #1065866).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 10 Mar 2024 18:44:40 +0100

git-cola (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 03 Feb 2024 19:50:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: vcs
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python
+Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
 Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git
 
 Package: git-cola
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-distutils, python3-qtpy, git-core, libjs-jquery, libjs-underscore
+Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-pyinotify, python3-simplejson
 Description: highly caffeinated git GUI

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=git-cola

export LC_ALL=C

override_dh_install:
	dh_install -O--buildsystem=pybuild
	PYTHON=python3 $(MAKE) -C docs DESTDIR=$(CURDIR)/debian/git-cola \
	       prefix=/usr install-man install-html

%:
	dh $@ --with python3 --buildsystem=pybuild

## git-cola 4.7.1

=== debian/changelog ===
git-cola (4.7.1-1) unstable; urgency=medium

  * New upstream release.

  [ Michael R. Crusoe" <crusoe@debian.org> ]
  * Add python3-setuptools-scm to Build-Depends-Indep for proper versioning
    (closes: #1069833).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Jun 2024 19:18:52 +0200

## git-cola 4.8.0

=== debian/changelog ===
git-cola (4.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Jul 2024 06:54:32 +0200

## git-cola 4.8.1

=== debian/changelog ===
git-cola (4.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jul 2024 12:09:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
-Build-Depends-Indep: python3, python3-qtpy, python3-sphinx, rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
+Build-Depends-Indep: python3, python3-setuptools-scm,
+ python3-qtpy, python3-sphinx,
+ rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/

## git-cola 4.8.2

=== debian/changelog ===
git-cola (4.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 Sep 2024 18:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
 Build-Depends-Indep: python3, python3-setuptools-scm,
  python3-qtpy, python3-sphinx,
- rsync, git-core, gettext, asciidoc (>= 8.2), xmlto
-Standards-Version: 4.6.2
+ rsync, git-core, gettext, asciidoc, xmlto
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git

## git-cola 4.10.0

=== debian/changelog ===
git-cola (4.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 13 Dec 2024 22:21:27 +0100

git-cola (4.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Nov 2024 20:58:42 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
-Suggests: python3-pyinotify, python3-simplejson
+Suggests: python3-notify2, python3-simplejson
 Description: highly caffeinated git GUI
  Git-cola is a git GUI optimized for working with the git index.
  .

## git-cola 4.10.1

=== debian/changelog ===
git-cola (4.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Move dependency to PyQt6 (closes: #1089951).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Dec 2024 07:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, pybuild-plugin-pyproject
 Build-Depends-Indep: python3, python3-setuptools-scm,
- python3-qtpy, python3-sphinx,
+ python3-qtpy-pyqt6, python3-sphinx,
  rsync, git-core, gettext, asciidoc, xmlto
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -14,7 +14,7 @@
 
 Package: git-cola
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy, git-core, libjs-jquery, libjs-underscore
+Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy-pyqt6, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
 Suggests: python3-notify2, python3-simplejson
 Description: highly caffeinated git GUI

## git-cola 4.11.0

=== debian/changelog ===
git-cola (4.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove the suggestion of python3-simplejson (closes: #1093518).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Feb 2025 18:37:45 +0100

## git-cola 4.12.0

=== debian/changelog ===
git-cola (4.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Feb 2025 21:08:01 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-polib, python3-qtpy-pyqt6, git-core, libjs-jquery, libjs-underscore
 Recommends: gitk, xxdiff, tclsh
-Suggests: python3-notify2, python3-simplejson
+Suggests: python3-notify2
 Description: highly caffeinated git GUI
  Git-cola is a git GUI optimized for working with the git index.
  .

## git-cola 4.13.0

=== debian/changelog ===
git-cola (4.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 May 2025 18:13:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 
 override_dh_install:
 	dh_install -O--buildsystem=pybuild
-	PYTHON=python3 $(MAKE) -C docs DESTDIR=$(CURDIR)/debian/git-cola \
+	$(MAKE) -C docs DESTDIR=$(CURDIR)/debian/git-cola \
 	       prefix=/usr install-man install-html
+	$(MAKE) DESTDIR=$(CURDIR)/debian/git-cola \
+	       prefix=/usr install-desktop-files install-icons
+	install -d $(CURDIR)/debian/git-cola/usr/share/metainfo/
+	install -m 0664 $(CURDIR)/share/metainfo/*.xml \
+	       	$(CURDIR)/debian/git-cola/usr/share/metainfo/
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## git-cola 4.14.0

=== debian/changelog ===
git-cola (4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Aug 2025 17:52:22 +0200

## git-cola 4.15.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 #
 # The external commands used by this Makefile are...
 CP = cp
+INSTALL = install
 FIND = find
 MKDIR_P = mkdir -p
 PIP = pip
@@ -28,6 +29,12 @@
 # These values can be overridden on the command-line or via config.mak
 # DESTDIR =
 prefix = $(HOME)
+datadir ?= $(prefix)/share
+appdir ?= $(datadir)/applications
+docdir ?= $(datadir)/doc/git-cola
+iconsdir ?= $(datadir)/icons
+icons_scalabledir ?= $(iconsdir)/hicolor/scalable/apps
+metainfodir ?= $(datadir)/metainfo
 python_version := $(shell $(PYTHON) -c 'import sys; print("%s.%s" % sys.version_info[:2])')
 python_lib = python$(python_version)/site-packages
 pythondir = $(prefix)/lib/$(python_lib)
@@ -44,13 +51,11 @@
 install_args =
 ifdef DESTDIR
 	install_args += --root="$(DESTDIR)"
-	export DESTDIR
 endif
 install_args += --prefix="$(prefix)"
 install_args += --disable-pip-version-check
 install_args += --ignore-installed
 install_args += --no-deps
-export prefix
 
 PYTHON_DIRS = cola
 PYTHON_DIRS += test
@@ -60,11 +65,32 @@
 # User customizations
 -include config.mak
 
+export prefix
+ifdef DESTDIR
+	export DESTDIR
+endif
+
 all::
 
 .PHONY: install
-install:: all
+install:: all install-desktop-files install-icons install-htmldocs install-metainfo
 	$(PIP) install $(install_args) .
+
+install-desktop-files::
+	$(MKDIR_P) "$(DESTDIR)$(appdir)"
+	$(INSTALL) -m 664 share/applications/*.desktop "$(DESTDIR)$(appdir)"
+
+install-icons::
+	$(MKDIR_P) "$(DESTDIR)$(icons_scalabledir)"
+	$(INSTALL) -m 664 cola/icons/git-cola.svg "$(DESTDIR)$(icons_scalabledir)"
+
+install-htmldocs::
+	$(MKDIR_P) "$(DESTDIR)$(docdir)"
+	$(INSTALL) -m 664 cola/data/*.html "$(DESTDIR)$(docdir)"
+
+install-metainfo::
+	$(MKDIR_P) "$(DESTDIR)$(metainfodir)"
+	$(INSTALL) -m 664 share/metainfo/*.xml "$(DESTDIR)$(metainfodir)"
 
 .PHONY: doc
 doc::
@@ -154,3 +180,7 @@
 		echo 'warning: "make test" requires "garden" https://gitlab.com/garden-rs/garden'; \
 		echo 'tip: run "cargo install garden-tools" to install "garden".'; \
 	fi
+
+.PHONY: pkg
+pkg::
+	git make-pkg --py 3 --global --name git-cola

=== debian/changelog ===
git-cola (4.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Sep 2025 18:36:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: python3, python3-setuptools-scm,
  python3-qtpy-pyqt6, python3-sphinx,
  rsync, git-core, gettext, asciidoc, xmlto
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git

## git-cola 4.16.0

=== docs/Makefile ===
prefix ?= $(CURDIR)
docdir ?= $(prefix)/share/doc/git-cola
htmldir ?= $(docdir)/html
mandir ?= $(prefix)/share/man/man1
# DESTDIR =

# External commands
INSTALL ?= install
MKDIR_P ?= mkdir -p
RSYNC ?= rsync
SED ?= sed

RSYNC_FLAGS = -r --delete --delete-excluded
RSYNC_FLAGS += --exclude=.buildinfo --exclude=.gitignore
RSYNC_CMD = $(RSYNC) $(RSYNC_FLAGS)

SPHINXOPTS = -a
SPHINXBUILD = sphinx-build
PAPER =

# Internal variables.
PAPEROPT_a4 = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: all help clean html man dirhtml pickle json
.PHONY: htmlhelp qthelp latex changes linkcheck doctest
.PHONY: install install-files install-html install-man

# The default target of this makefile is...
all:: html man

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  man       to make manual pages"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/doctrees _build/man _build/html/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) _build/man

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest

install: install-files install-html install-man

install-files:
	$(MKDIR_P) $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 ../cola/data/*.html $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 *.rst $(DESTDIR)$(docdir)

install-html: install-files html
	$(MKDIR_P) $(DESTDIR)$(htmldir)
	$(RSYNC_CMD) _build/html/ $(DESTDIR)$(htmldir)/

install-man: man
	$(MKDIR_P) $(DESTDIR)$(mandir)
	$(INSTALL) -m 644 _build/man/git-cola.1 $(DESTDIR)$(mandir)
	$(INSTALL) -m 644 _build/man/git-dag.1 $(DESTDIR)$(mandir)

=== debian/changelog ===
git-cola (4.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 29 Oct 2025 17:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  python3-qtpy-pyqt6, python3-sphinx,
  rsync, git-core, gettext, asciidoc, xmlto
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://git-cola.github.io/
 #Vcs-Git: git://git.debian.org/git/collab-maint/git-cola.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/git-cola.git

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/git-cola/git-cola/tags \
.*/v?(\d\S*)@ARCHIVE_EXT@

## git-cola 4.16.1

=== debian/changelog ===
git-cola (4.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Nov 2025 22:18:50 +0100

## git-cola 4.17.0

=== debian/changelog ===
git-cola (4.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Jan 2026 22:00:03 +0100

## git-cola 4.17.1

=== debian/changelog ===
git-cola (4.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 05 Feb 2026 19:32:56 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: git-cola
Project: git-cola
